Subject: WindowList deiconification core dumps

From: [email-masked]
Date: Tue, 11 May 1999 01:07:25 -0500 (CDT)

Full_Name: Lee Skinol
Version: 2.3.2
CVS_Date: May 10
OS: Linux 2.2.7
X_Server: XFree 3.3.2
Submission from: (NULL) (168.143.0.8)

With the last few days' CVS versions, FVWM core dumps when switching
to a window via the WindowList function.

$ gdb `which fvwm2` core
GNU gdb 4.17.0.4 with Linux/x86 hardware watchpoint and FPU support
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `fvwm2 -s'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXpm.so.4...done.
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Reading symbols from /lib/libc.so.6...done.
Reading symbols from /lib/ld-linux.so.2...done.
#0  0x4011b1ad in chunk_alloc (ar_ptr=0x40170420, nb=24) at malloc.c:2616
malloc.c:2616: No such file or directory.
(gdb) where
#0  0x4011b1ad in chunk_alloc (ar_ptr=0x40170420, nb=24) at malloc.c:2616
#1  0x4011b0c5 in __libc_malloc (bytes=16) at malloc.c:2561
#2  0x8074eda in safemalloc (length=16) at safemalloc.c:33
#3  0x806817f in AddToQueue (module=3, ptr=0xbffff394, size=36, done=0)
    at module_interface.c:979
#4  0x80680e6 in PositiveWrite (module=3, ptr=0xbffff394, size=36)
    at module_interface.c:950
#5  0x806770a in BroadcastPacket (event_type=64, num_datum=5)
    at module_interface.c:542
#6  0x805711e in HandleFocusIn () at events.c:387
#7  0x8056e67 in DispatchEvent () at events.c:186
#8  0x8056e9a in HandleEvents () at events.c:222
#9  0x805b5e7 in main (argc=2, argv=0xbffffcd4) at fvwm.c:692
(gdb) 

Here is the relevant portion of .fvwm2rc:

Key Tab		A       M       WindowList NoGeometry

AddToFunc WindowListFunc "I"	WindowId $0 Iconify -1
+	"I"	WindowId $0 FlipFocus
+	"I"	WindowId $0 Raise
+	"I"	WindowId $0 WarpToWindow 50 50

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]